Get a Bridge Wallet
curl --request GET \
--url https://api.bridge.xyz/v0/customers/{customerID}/wallets/{bridgeWalletID} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/wallets/{bridgeWalletID}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/wallets/{bridgeWalletID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "bw_123",
"chain": "solana",
"address": "9kV3ZMehKVyxfHKCcaDLye3P9HHw2MP4jtQa2gKBUmCs",
"created_at": "2023-11-22T21:31:30.515Z",
"updated_at": "2023-11-22T21:31:30.515Z",
"balances": [
{
"balance": "100.25",
"currency": "usdb",
"chain": "solana",
"contract_address": "ENL66PGy8d8j5KNqLtCcg4uidDUac5ibt45wbjH9REzB"
}
]
}Bridge Wallets
Get a Bridge Wallet
Retrieve a Bridge Wallet for the specified Bridge Wallet ID
GET
/
customers
/
{customerID}
/
wallets
/
{bridgeWalletID}
Get a Bridge Wallet
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*Response
A Bridge Wallet object response
The chain of the Bridge Wallet
Available options:
base, ethereum, solana, tempo, tron, xdc A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*The blockchain address of the Bridge Wallet
When present, transfers sourced from this wallet must include an initiation object on the create request. Omitted for wallets that do not require initiation data.
Time of creation of the Bridge Wallet
Time of most recent update of the Bridge Wallet
Show child attributes
Show child attributes
Was this page helpful?